<?php

include_once 'prepareSql.php';

class SqlProduto {

    private $conexao;

    function __construct($conexao) {
        $this->conexao = $conexao;
    }

    function getProdutos($param) {
        $sql = "select a.id_evento_itens_produto, a.qto, a.tamanho, a.producao, 
			REPLACE(REPLACE(b.desc_produto, '{QTO}', a.qto), '{TAMANHO}', a.tamanho) as desc_produto
			from evento_itens_produto a, produto b
			where a.id_produto = b.id_produto
                        and a.id_evento = :id_evento
			and a.id_empresa = :id_empresa
			order by a.producao, b.desc_produto";
        return executa::SQL($this->conexao, $sql, $param);
    }

}
